<?php
/**
* DIコンテナに格納できるコンポーネントのインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IComponent
{
	/*
	 * コンポーネント名を取得
	 */
	public function getComponentName();

	/*
	 * コンポーネントを初期化する
	 */
	public function init( Config $config );
}
